## Docker Registry Manager
A simple CLI tool for managing Docker images in a private registry.

### Build
```sh
make
```

### Configuration
Ensure the .env file is present in the same directory as the executable with the following variables:
```env
REGISTRY_NAME=docker.example.com
REGISTRY_USERNAME=
REGISTRY_PASSWORD=
```

### Usage
```sh
$ docker-registry-manager
Usage: registry [command] <args>

Commands:
  images     List all images in the registry
  tags       List tags for a specific image
  rm         Remove an image or tag from registry
  push       Push an image to the registry
  tag        Tag local image to push

Examples:
  registry images
  registry tags my-image
  registry rm my-image:latest
  registry push my-image:latest
  registry tag my-image:latest new-image:latest
```